# Deleting a Port

#### Function

This API is used to delete a port.

Restrictions

- A port with device_owner set to a value other than neutron:VIP_PORT cannot be deleted.
- A port with device_id specified cannot be deleted.

#### URI

DELETE /v2.0/ports/{port_id}

Table 1 describes the parameters.

Table 1 Parameter description
Name | Mandatory | Description
--- | --- | ---
port_id | Yes | Specifies the port ID, which uniquely identifies the port.

#### Request Message

None

#### Response Message

None

#### Example:

Example request

    DELETE https://{Endpoint}/v2.0/ports/2b098395-046a-4071-b009-312bcee665cb

Example response

None

#### Status Code

See Status Codes.

#### Error Code

See Error Codes.

Parent topic: Port